Subject: [bug#76296] [PATCH maintenance] hydra: bayfront: Set up ‘git.guix.gnu.org’ as a redirect to Savannah.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 12 May 2025 11:53:25 +0200

Hi,

Christopher Baines <[email-masked]> writes:

> I wonder how this compares to storing and serving a mirror of the Git
> repository. Maybe that's a bit more complicated in terms of the setup,
> but it may perform better than a redirect and actually provide
> redundancy?

Good point.  I think mirroring would be good, but if and only if we can
synchronize it at every push rather than periodically (current mirror is
periodic).

Regardless, I think the priority is to decide on whether this DNS entry
is the way to go, so we can use it in (guix channels) on the day we
switch.

Once git.guix.gnu.org is in place, we can always change its
implementation from redirect to mirroring.

WDYT?

Ludo’.